SystemOrganization addCategory: #'Seaside-WebServices-Core'!

WAAdmin subclass: #WAXmlAdmin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-WebServices-Core'!

!WAXmlAdmin class methodsFor: 'configuration' stamp: 'pmm 12/28/2010 16:41'!
applicationDefaults
	| config |
	config := WASharedConfiguration named: 'XML Application Defaults'.
	(configuredApplicationDefaults ifNil: [ false ]) ifFalse: [
		self configureApplicationDefaults: config.
		configuredApplicationDefaults := true ].
	^ config! !

!WAXmlAdmin class methodsFor: 'initialization' stamp: 'pmm 12/28/2010 16:47'!
configureApplicationDefaults: aSharedConfiguration
	"WARenderLoopConfiguration is added by default because most users will use WASession and the Render Loop."
	(aSharedConfiguration parents includes: WARenderLoopConfiguration instance) ifFalse: [
		aSharedConfiguration
			addParent: WARenderLoopConfiguration instance;
			at: #documentClass put: WAXmlDocument;
			at: #actionPhaseContinuationClass put: WAXmlActionContinuation;
			at: #renderPhaseContinuationClass put: WAXmlRenderContinuation;
			at: #mimeType put: 'application/xml' ]! !

WARenderPhaseContinuation subclass: #WAXmlRenderContinuation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-WebServices-Core'!

!WAXmlRenderContinuation methodsFor: 'private' stamp: 'pmm 12/28/2010 16:27'!
createHtmlRootWithContext: aRenderContext
	^WAXmlRoot context: aRenderContext! !

!WAXmlRenderContinuation methodsFor: 'updating' stamp: 'pmm 12/28/2010 16:54'!
updateRoot: anHtmlRoot
	self session updateRoot: anHtmlRoot! !

WAActionPhaseContinuation subclass: #WAXmlActionContinuation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-WebServices-Core'!

!WAXmlActionContinuation methodsFor: 'private' stamp: 'pmm 12/28/2010 16:19'!
shouldRedirect
	 ^ false! !

!WAXmlActionContinuation methodsFor: 'updating' stamp: 'pmm 12/28/2010 16:54'!
updateRoot: anHtmlRoot
	self session updateRoot: anHtmlRoot! !

WAComponent subclass: #WAXmlComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-WebServices-Core'!

!WAXmlComponent class methodsFor: 'registering' stamp: 'pmm 12/28/2010 16:45'!
registerAsApplication: aString 
	self 
		greaseDeprecatedApi: 'WAComponent class>>#registerAsApplication:'
		details: 'Use WAXmlAdmin class>>#register:asApplicationAt:.'.
	^ WAXmlAdmin 
		register: self
		asApplicationAt: aString! !

!WAXmlComponent methodsFor: 'rendering' stamp: 'pmm 12/28/2010 16:14'!
rendererClass
	^ WAXmlCanvas! !
